## org.eclipse.emf.cdo.common.model
Interface CDOPackageUnit

All Superinterfaces:
  java.lang.Comparable<CDOPackageUnit>

All Known Subinterfaces:
  InternalCDOPackageUnit

    public interface CDOPackageUnit

extends java.lang.Comparable<CDOPackageUnit>

Since:
  2.0

Nested Class Summary
`static class` `CDOPackageUnit.State`
`static class` `CDOPackageUnit.Type`

Method Summary
`org.eclipse.emf.ecore.EPackage[]` `getEPackages(boolean loadOnDemand)`
`java.lang.String` `getID()`
`CDOPackageUnit.Type` `getOriginalType()`
`CDOPackageInfo` `getPackageInfo(java.lang.String packageURI)`
`CDOPackageInfo[]` `getPackageInfos()`
`CDOPackageRegistry` `getPackageRegistry()`
`CDOPackageUnit.State` `getState()`
`long` `getTimeStamp()`
`CDOPackageInfo` `getTopLevelPackageInfo()`
`CDOPackageUnit.Type` `getType()`
`boolean` `isSystem()`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getPackageRegistry

    CDOPackageRegistry getPackageRegistry()

### getID

    java.lang.String getID()

### getState

    CDOPackageUnit.State getState()

### getType

    CDOPackageUnit.Type getType()

### getOriginalType

    CDOPackageUnit.Type getOriginalType()

### getTimeStamp

    long getTimeStamp()

### getTopLevelPackageInfo

    CDOPackageInfo getTopLevelPackageInfo()

### getPackageInfo

    CDOPackageInfo getPackageInfo(java.lang.String packageURI)

### getPackageInfos

    CDOPackageInfo[] getPackageInfos()

### getEPackages

    org.eclipse.emf.ecore.EPackage[] getEPackages(boolean loadOnDemand)

### isSystem

    boolean isSystem()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.